summaryrefslogtreecommitdiff
path: root/build-scripts
diff options
context:
space:
mode:
authorSam Lantinga <slouken@libsdl.org>2006-04-28 05:43:58 +0000
committerSam Lantinga <slouken@libsdl.org>2006-04-28 05:43:58 +0000
commit7d07e3b48d32000a63d4f7fad7a2a841dc3f70d4 (patch)
tree758297be8a8a42613570340a2eea6c0866ae679f /build-scripts
parent4422ede0bd39045b2dbfe3068477cf8e37e03fd2 (diff)
Future proof C++ code
--HG-- extra : convert_revision : svn%3Ac70aab31-4412-0410-b14c-859654838e24/trunk%401680
Diffstat (limited to 'build-scripts')
-rwxr-xr-xbuild-scripts/fatbuild.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/build-scripts/fatbuild.sh b/build-scripts/fatbuild.sh
index 3a616174..45173b84 100755
--- a/build-scripts/fatbuild.sh
+++ b/build-scripts/fatbuild.sh
@@ -11,6 +11,7 @@ CFLAGS="-O3 -g -pipe"
# PowerPC compiler flags (10.2 runtime compatibility)
CC_PPC="gcc-3.3 -arch ppc"
+CXX_PPC="g++-3.3 -arch ppc"
CFLAGS_PPC=""
CPPFLAGS_PPC="-DMAC_OS_X_VERSION_MIN_REQUIRED=1020 \
-nostdinc \
@@ -26,6 +27,7 @@ LFLAGS_PPC="-arch ppc \
# Intel compiler flags (10.4 runtime compatibility)
CC_X86="gcc-4.0 -arch i386"
+CXX_X86="g++-4.0 -arch i386"
CFLAGS_X86="-mmacosx-version-min=10.4"
CPPFLAGS_X86="-DMAC_OS_X_VERSION_MIN_REQUIRED=1040 \
-nostdinc \
@@ -155,7 +157,7 @@ done
#
if test x$configure_ppc = xyes; then
(cd build/ppc && \
- sh ../../configure --build=`uname -p`-apple-darwin --host=powerpc-apple-darwin CC="$CC_PPC" CFLAGS="$CFLAGS $CFLAGS_PPC" CPPFLAGS="$CPPFLAGS_PPC" LDFLAGS="$LFLAGS_PPC") || exit 2
+ sh ../../configure --build=`uname -p`-apple-darwin --host=powerpc-apple-darwin CC="$CC_PPC" CXX="$CXX_PPC" CFLAGS="$CFLAGS $CFLAGS_PPC" CPPFLAGS="$CPPFLAGS_PPC" LDFLAGS="$LFLAGS_PPC") || exit 2
fi
if test x$make_ppc = xyes; then
(cd build/ppc && ls include && make -j$NJOB) || exit 3
@@ -166,7 +168,7 @@ fi
#
if test x$configure_x86 = xyes; then
(cd build/x86 && \
- sh ../../configure --build=`uname -p`-apple-darwin --host=i386-apple-darwin CC="$CC_X86" CFLAGS="$CFLAGS $CFLAGS_X86" CPPFLAGS="$CPPFLAGS_X86" LDFLAGS="$LFLAGS_X86") || exit 2
+ sh ../../configure --build=`uname -p`-apple-darwin --host=i386-apple-darwin CC="$CC_X86" CXX="$CXX_X86" CFLAGS="$CFLAGS $CFLAGS_X86" CPPFLAGS="$CPPFLAGS_X86" LDFLAGS="$LFLAGS_X86") || exit 2
fi
if test x$make_x86 = xyes; then
(cd build/x86 && make -j$NJOB) || exit 3